<?php

/**
* Created by : Julien Dubois.
* Version : 2;
* Update date : 13.05.2022
*/

require_once("../Workers/LoginDBManager.php");
require_once("SessionManager.php");

/**
 * Request Serveur gérant le login du site web.
 * 
 * utilisant un POST pour le login
 * 
 * et un GET pour le delog
 */
if (isset($_SERVER['REQUEST_METHOD'])) {
    $sessionManager=new SessionManager();
    $loginDBManager = new LoginDBManager();
    if ($_SERVER['REQUEST_METHOD'] == 'POST') {
        $pseudo = $_POST['pseudo'];
        $mdp = $_POST['mdp'];
        if($loginDBManager->userLogin($pseudo, $mdp)){
            echo $sessionManager->openSession($pseudo);
        }else{
            http_response_code(401.1);
        }
    }
    if ($_SERVER['REQUEST_METHOD'] == 'GET') {
        echo $sessionManager->closeSession();
    }
}
?>